<modification>
	<id>VQMOD Banner</id>
	<version>2.0.0.0</version>
	<vqmver>2.5.0</vqmver>
	<author>leopedia.com</author>
	<file name="admin/view/template/catalog/category_form.tpl">
		<operation error="skip">
			<search position="before" offset="1"><![CDATA[
    			<label class="col-sm-2 control-label"><?php echo $entry_image; ?></label>
			]]></search>
			<add><![CDATA[
			<div class="form-group">
                <label class="col-sm-2 control-label" for="input-image1"><?php echo $entry_imagebanner; ?></label>
                <div class="col-sm-10"><a href="" id="thumb-image1" data-toggle="image" class="img-thumbnail"><img src="<?php echo $thumbbanner; ?>" alt="" title="" data-placeholder="<?php echo $placeholder; ?>" /></a>
                  <input type="hidden" name="imagebanner" value="<?php echo $imagebanner; ?>" id="input-image1" />
                </div>
              </div>
			]]></add>
		</operation>
	</file>
	
	<file name="admin/controller/catalog/category.php">
		<operation error="skip">
			<search position="after"><![CDATA[
    			$data['entry_image'] = $this->language->get('entry_image');
			]]></search>
			<add><![CDATA[
				$data['entry_imagebanner'] = $this->language->get('entry_imagebanner');
			]]></add>
		</operation>
		
		
			<operation error="skip">
			<search position="after"><![CDATA[
    			$this->load->model('tool/image');
			]]></search>
			<add><![CDATA[
					if (isset($this->request->post['imagebanner']) && is_file(DIR_IMAGE . $this->request->post['imagebanner'])) {
			$data['thumbbanner'] = $this->model_tool_image->resize($this->request->post['imagebanner'], 100, 100);
		} elseif (!empty($category_info) && is_file(DIR_IMAGE . $category_info['imagebanner'])) {
			$data['thumbbanner'] = $this->model_tool_image->resize($category_info['imagebanner'], 100, 100);
		} else {
			$data['thumbbanner'] = $this->model_tool_image->resize('no_image.png', 100, 100);
		}
			]]></add>
		</operation>
	</file>
	
	<file name="admin/model/catalog/category.php">
		<operation error="skip">
			<search position="before"><![CDATA[
    			if (isset($data['image'])) {
			]]></search>
			<add><![CDATA[
			if (isset($data['imagebanner'])) {
			$this->db->query("UPDATE " . DB_PREFIX . "category SET imagebanner = '" . $this->db->escape($data['imagebanner']) . "' WHERE category_id = '" . (int)$category_id . "'");
		}
			]]></add>
		</operation>
	</file>
	<file name="admin/language/en-gb/catalog/category.php">
		<operation error="skip">
			<search position="after"><![CDATA[
    			$_['heading_title']          = 'Categories';
			]]></search>
			<add><![CDATA[
			$_['entry_imagebanner']          = 'Banner Image';
			]]></add>
		</operation>
	</file>
	
	<file name="catalog/controller/product/category.php">
		<operation error="skip">
			<search position="before"><![CDATA[
    			if ($category_info['image']) {
			]]></search>
			<add><![CDATA[
			if ($category_info['imagebanner']) {
				$data['thumbbanner'] = 'image/'.$category_info['imagebanner'];
			} else {
				$data['thumbbanner'] = 'image/upload/shop_page.jpg';
			}
			]]></add>
		</operation>
	</file>
	
	
<file name="admin/view/template/catalog/product_form.tpl">
		<operation error="skip">
			<search position="after" offset="1"><![CDATA[
    			<div class="tab-pane" id="tab-image">
			]]></search>
			<add><![CDATA[
		<div class="table-responsive" for="input-image">
                <table class="table table-striped table-bordered table-hover">
                  <thead>
                    <tr>
                      <td class="text-left"><?php echo $entry_imagebanner; ?></td>
                    </tr>
                  </thead>
                  
                  <tbody>
                    <tr>
                      <td class="text-left"><a href="" id="thumb-image" data-toggle="image" class="img-thumbnail"><img src="<?php echo $thumbbanner; ?>" alt="" title="" data-placeholder="<?php echo $placeholder; ?>" /></a><input type="hidden" name="imagebanner" value="<?php echo $imagebanner; ?>" id="input-image" /></td>
                  </tr>
                  </tbody>
                </table>
              </div>
			]]></add>
		</operation>
	</file>	
	<file name="admin/controller/catalog/product.php">
		<operation error="skip">
			<search position="before"><![CDATA[
    		if (isset($this->request->post['image']) && is_file(DIR_IMAGE . $this->request->post['image'])) {
			]]></search>
			<add><![CDATA[
				if (isset($this->request->post['imagebanner']) && is_file(DIR_IMAGE . $this->request->post['imagebanner'])) {
			$data['thumbbanner'] = $this->model_tool_image->resize($this->request->post['imagebanner'], 100, 100);
		} elseif (!empty($product_info) && is_file(DIR_IMAGE . $product_info['imagebanner'])) {
			$data['thumbbanner'] = $this->model_tool_image->resize($product_info['imagebanner'], 100, 100);
		} else {
			$data['thumbbanner'] = $this->model_tool_image->resize('no_image.png', 100, 100);
		}
			]]></add>
		</operation>
		<operation error="skip">
			<search position="after"><![CDATA[
    			$data['entry_image'] = $this->language->get('entry_image');
			]]></search>
			<add><![CDATA[
				$data['entry_imagebanner'] = $this->language->get('entry_imagebanner');
			]]></add>
		</operation>
	</file>
	
	
	<file name="admin/language/en-gb/catalog/product.php">
		<operation error="skip">
			<search position="after"><![CDATA[
    			$_['heading_title']          = 'Products';
			]]></search>
			<add><![CDATA[
				$_['entry_imagebanner']          = 'Image Banner'; 
			
			]]></add>
		</operation>
	</file>
	<file name="admin/model/catalog/product.php">
		<operation error="skip">
			<search position="after"><![CDATA[
    			if (isset($data['image'])) {
			]]></search>
			<add><![CDATA[
				if (isset($data['imagebanner'])) {
			$this->db->query("UPDATE " . DB_PREFIX . "product SET imagebanner = '" . $this->db->escape($data['imagebanner']) . "' WHERE product_id = '" . (int)$product_id . "'");
		}

			
			]]></add>
		</operation>
	</file>
	
	<file name="catalog/controller/product/product.php">
		<operation error="skip">
			<search position="before"><![CDATA[
    		if ($product_info['image']) {
			]]></search>
			<add><![CDATA[
				if ($product_info['imagebanner']) {
				$data['thumbbanner'] = $product_info['imagebanner'];
			} else {
				$data['thumbbanner'] = 'image/upload/shop_page.jpg';
			}
			]]></add>
		</operation>
	</file>
	<file name="catalog/model/catalog/product.php">
		<operation error="skip">
			<search position="before"><![CDATA[
    		'description'      => $query->row['description'],
			]]></search>
			<add><![CDATA[
				'imagebanner'      => $query->row['imagebanner'],
			]]></add>
		</operation>
	</file>
</modification>